Subject: Re: [i2rs] WG LC: draft-ietf-i2rs-yang-l2-network-topology-07.txt

From: Qin Wu <[email-masked]>
Date: Wed, 21 Aug 2019 09:29:39 +0000

I can add 802.1ad and 802.1ah, if you like, but to ietf-l2-topolgy, these two references are not significant since we don't reuse any type or grouping in the model related to these two references.
Regarding example using 10.address, good catch, I fixed mac address, but I forgot to fix IPv4 address,
will get this fixed in the next update.
Thanks Tom.

-Qin
-----邮件原件-----
发件人: tom petch [mailto:[email-masked]] 
发送时间: 2019年8月20日 17:31
收件人: Qin Wu <[email-masked]>; Susan Hares <[email-masked]>; [email-masked]
抄送: [email-masked]
主题: Re: [i2rs] WG LC: draft-ietf-i2rs-yang-l2-network-topology-07.txt

Qin

Thank you for the revised module; top posting on two points I do not see fixed in -09.

I see no reference for

802.1ad
802.1ah

And the example uses a 10. address rather than the documentation range in RFC5737

I hope to look some more at the technicalities and so may have some more comments - I would not post another revision just yet:-)

Tom Petch

----- Original Message -----
From: "Qin Wu" <[email-masked]>
To: "tom petch" <[email-masked]>; "Susan Hares" <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, August 19, 2019 6:03 AM

> Hi, Tom:
> Thank for your valuable review. See comments inline below.
> -----邮件原件-----
> 发件人: i2rs [mailto:[email-masked]] 代表 tom petch
> 发送时间: 2019年8月16日 20:00
> 收件人: Susan Hares <[email-masked]>; [email-masked]
> 抄送: [email-masked]
> 主题: Re: [i2rs] WG LC:
draft-ietf-i2rs-yang-l2-network-topology-07.txt
>
> Not ready
>
> The text says
>     /*Consider udpating this part to make use of
draft-ietf-softwire-iftunnel*/ Well yes, consider it and come to a conclusion otherwise I cannot see how this is ready to advance.
> [Qin]: Good catch, will fix this. The idea is to align with RFC7224
and reuse iana-interface-type.
>
> The YANG module contains many references - good - but they are not in
the I-D references; again, not ready to advance.  I see
>
> 4761
> 4762
> 6325
> 6326
> 7348
>
> 802.1ad
> 802.1ah
> 802.1Q
>
> [Qin]:Fixed.
> IANA considerations references RFC7950 - RFC 6020 is better here as
all that RFC7950 says is go see RFC6020.
> [Qin]:Agree, will update based on your suggestion.
>
> OLD
>
>        This version of this YANG module is part of
>        draft-ietf-i2rs-yang-l2-network-topo-07;
>
> NEW
>        This version of this YANG module is part of
>         "RFC XXXX: A YANG Data Model for Layer-2 Network Topologies"
>
> [Qin]:Fixed.
> You also have this unsuitable reference twice in the state module 
> [Qin]:Fixed.
> The state module lacks references for the imports [Qin]:Fixed.
> The state module description clause seems misleading; it is only the
state part of a module when NMDA is not supported.
> [Qin]:Fixed.
> Appendix A - is it Normative?  The customary convention is the
Appendices are not unless stated otherwise and there is no statement here.
> [Qin]:No, will make this clear.
> 'An Example' does not use the addresses set aside for documentation 
> [Qin]:Good catch, will use RFC7042 recommended address range.
> What is the closing date for this Last call?
>
> Tom Petch
>
> ----- Original Message -----
> From: "Susan Hares" <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, August 09, 2019 4:42 PM
>
>
> > Greetings:
> >
> >
> >
> > This draft on L2 network topology has been reviewed by the I2RS WG 3
> times.
> >
> > However, in discussion with the ADs it is deemed appropriate to do
one
> more
> >
> > WG LC and include any input from rtgwg or grow.
> >
> >
> >
> > Please indicate whether you support publication of this document.
> >
> > In your comments, please indicate "support" or no "support".
> >
> >
> >
> > If you feel there issues that need to be resolved,
> >
> > Please indicate whether these issues are editorial,
> >
> > Yang syntax, or technical content.
> >
> >
> >
> > It would be helpful to indicate whether you know of
> >
> > Network deployments or potential network deployments of this draft.
> >
> >
> >
> > Cheerily,
> >
> >
> >
> > Sue Hares
> >
> >
> >
> >
>
>
> ----------------------------------------------------------------------
--
> --------
>
>
> > _______________________________________________
> > i2rs mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/i2rs
> >
>
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs
>